Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.optional.javacc
Class JJTree

    java.lang.Object
      |
      +--org.apache.tools.ant.Task
            |
            +--org.apache.tools.ant.taskdefs.optional.javacc.JJTree

public class JJTree
extends Task

Taskdef for the JJTree compiler compiler.

Author:
  thomas.haas@softwired-inc.com, Michael Saunders michael@amtec.com

Fields inherited from class org.apache.tools.ant.Task
`description, location, project, target, taskName, taskType, wrapper`

Constructor Summary
`JJTree()`

Method Summary
`void` | `execute()` Called by the project to let the task do it's work.
`void` | `setBuildnodefiles(boolean buildNodeFiles)`
`void` | `setJavacchome(java.io.File javaccHome)`
`void` | `setMulti(boolean multi)`
`void` | `setNodedefaultvoid(boolean nodeDefaultVoid)`
`void` | `setNodefactory(boolean nodeFactory)`
`void` | `setNodepackage(java.lang.String nodePackage)`
`void` | `setNodeprefix(java.lang.String nodePrefix)`
`void` | `setNodescopehook(boolean nodeScopeHook)`
`void` | `setNodeusesparser(boolean nodeUsesParser)`
`void` | `setOutputdirectory(java.io.File outputDirectory)`
`void` | `setStatic(boolean staticParser)`
`void` | `setTarget(java.io.File target)`
`void` | `setVisitor(boolean visitor)`
`void` | `setVisitorException(java.lang.String visitorException)`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getProject, getRuntimeConfigurableWrapper, getTaskName, init, log, log, maybeConfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JJTree

    public JJTree()

Method Detail

### setBuildnodefiles

    public void setBuildnodefiles(boolean buildNodeFiles)

### setMulti

    public void setMulti(boolean multi)

### setNodedefaultvoid

    public void setNodedefaultvoid(boolean nodeDefaultVoid)

### setNodefactory

    public void setNodefactory(boolean nodeFactory)

### setNodescopehook

    public void setNodescopehook(boolean nodeScopeHook)

### setNodeusesparser

    public void setNodeusesparser(boolean nodeUsesParser)

### setStatic

    public void setStatic(boolean staticParser)

### setVisitor

    public void setVisitor(boolean visitor)

### setNodepackage

    public void setNodepackage(java.lang.String nodePackage)

### setVisitorException

    public void setVisitorException(java.lang.String visitorException)

### setNodeprefix

    public void setNodeprefix(java.lang.String nodePrefix)

### setOutputdirectory

    public void setOutputdirectory(java.io.File outputDirectory)

### setTarget

    public void setTarget(java.io.File target)

### setJavacchome

    public void setJavacchome(java.io.File javaccHome)

### execute

    public void execute()
                 throws BuildException

  Description copied from class: `Task`
  Called by the project to let the task do it's work. This method may be called more than once, if the task is invoked more than once. For example, if target1 and target2 both depend on target3, then running "ant target1 target2" will run all tasks in target3 twice.
  Overrides:
    `execute` in class `Task`
  Following copied from class: `org.apache.tools.ant.Task`
  Throws:
    `BuildException` - if someting goes wrong with the build

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache Software Foundation. All Rights Reserved.